### Method

# St ThemeNode adjust_for_height

#### Declaration [src]

    void
    st_theme_node_adjust_for_height (
      StThemeNode* node,
      float* for_height
    )

#### Description [src]

Adjusts a “for height” passed to `clutter_actor_get_preferred_width()` to account for borders and padding. This is a convenience function meant to be called from a `get_preferred_width()` method of a `ClutterActor` subclass. The value after adjustment is the height available for the actor’s content.

#### Parameters

`for_height`

  Type: `float*`

  The “for height” to adjust.

  The argument will be modified by the function.